pydo.kubernetes.list_associated_resources()

Generated on 9 Jun 2026 from pydo version v0.36.0

Usage

client.kubernetes.list_associated_resources(
    cluster_id="bd5f5959-5e1e-4205-a714-a914373942af",
)
Returns JSONRaises HttpResponseError

Description

To list the associated billable resources that can be destroyed along with a cluster, send a GET request to the /v2/kubernetes/clusters/{cluster_id}/destroy_with_associated_resources endpoint.

Parameters

cluster_id string required

A unique ID that can be used to reference a Kubernetes cluster.

Min: 1

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.kubernetes.list_associated_resources(cluster_id="da8fda8")

Response Example

Show Response Example
{
  "load_balancers": [
    {
      "id": "4de7ac8b-495b-4884-9a69-1050c6793cd6",
      "name": "lb-001"
    }
  ],
  "volumes": [
    {
      "id": "ba49449a-7435-11ea-b89e-0a58ac14480f",
      "name": "volume-001"
    }
  ],
  "volume_snapshots": [
    {
      "id": "edb0478d-7436-11ea-86e6-0a58ac144b91",
      "name": "snapshot-001"
    }
  ]
}

More Information

See /v2/kubernetes/clusters/{cluster_id}/destroy_with_associated_resources in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.